Bug 319432 - kexi --dbdriver postgresql crashed
Summary: kexi --dbdriver postgresql crashed
Status: CLOSED FIXED
Alias: None
Product: KEXI
Classification: Unclassified
Component: General (show other bugs)
Version: 2.8 Pre-Alpha
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Jarosław Staniek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-06 20:47 UTC by fb.ilmx
Modified: 2013-10-16 22:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.7.4


Attachments
window where "detail" button is (26.47 KB, image/png)
2013-05-06 21:02 UTC, fb.ilmx
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fb.ilmx 2013-05-06 20:47:59 UTC
Application: kexi (2.8 Pre-Alpha)
KDE Platform Version: 4.8.4 (4.8.4) (Compiled from sources)
Qt Version: 4.8.2
Operating System: Linux 3.2.0-4-amd64 x86_64
Distribution: Debian GNU/Linux 7.0 (wheezy)

-- Information about the crash:
- What I was doing when the application crashed: started kexi --dbdriver postgresql
then clic on the "details" button on the next window

The crash can be reproduced every time.

-- Backtrace:
Application: Kexi (kexi), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[KCrash Handler]
#5  operator= (this=0x2558e78) at /home/pierre/kde4/src/calligra/libs/db/schemadata.h:34
#6  KexiProjectData::operator= (this=0x2558e68, pdata=...) at /home/pierre/kde4/src/calligra/kexi/core/kexiprojectdata.cpp:148
#7  0x00007f4f54bea632 in KexiDBConnectionWidget::setDataInternal (this=0x255d450, data=..., connectionOnly=connectionOnly@entry=false, shortcutFileName=...) at /home/pierre/kde4/src/calligra/kexi/widget/kexidbconnectionwidget.cpp:142
#8  0x00007f4f54beaa5a in KexiDBConnectionWidget::setData (this=<optimized out>, data=..., shortcutFileName=...) at /home/pierre/kde4/src/calligra/kexi/widget/kexidbconnectionwidget.cpp:192
#9  0x00007f4f54beab25 in KexiDBConnectionTabWidget::setData (this=this@entry=0x253b480, data=..., shortcutFileName=...) at /home/pierre/kde4/src/calligra/kexi/widget/kexidbconnectionwidget.cpp:281
#10 0x00007f4f54bec61b in KexiDBConnectionDialog::KexiDBConnectionDialog (this=0x2532750, parent=<optimized out>, data=..., shortcutFileName=..., acceptButtonGuiItem=...) at /home/pierre/kde4/src/calligra/kexi/widget/kexidbconnectionwidget.cpp:384
#11 0x00007f4f5bd30b4e in KexiStartupHandler::init (this=0x24e3ce0) at /home/pierre/kde4/src/calligra/kexi/main/startup/KexiStartup.cpp:603
#12 0x00007f4f5bcf432b in KexiMainWindow::create (argc=3, argv=0x7fff5cacd058, aboutData=...) at /home/pierre/kde4/src/calligra/kexi/main/KexiMainWindow.cpp:246
#13 0x0000000000400ab0 in main (argc=3, argv=0x7fff5cacd058) at /home/pierre/kde4/src/calligra/kexi/main.cpp:32

Reported using DrKonqi
Comment 1 fb.ilmx 2013-05-06 21:02:45 UTC
Created attachment 79744 [details]
window where "detail" button is

I have tried with and without other args -u -h --port on the command line
Running debian wheezy in VirtualBox on Max OSX 10.7.5
Compiled whole calligra suite yesterday from git
Hope that helps
What a nice work you are doing !
Comment 2 Jarosław Staniek 2013-05-07 08:17:09 UTC
Hello, thanks for the quality report! I'll try to reproduct it. Could you check if adding a new connection entry In the "New database" view works for you and you can connect this way instead of using command line args?
Comment 3 fb.ilmx 2013-05-07 09:24:34 UTC
Hello,
Yes I can in near 11 hours (after work).
Have a good day...

On 2013-05-07 04:17, Jarosław Staniek wrote:
> https://bugs.kde.org/show_bug.cgi?id=319432
>
> --- Comment #2 from Jarosław Staniek <staniek@kde.org> ---
> Hello, thanks for the quality report! I'll try to reproduct it. Could you check
> if adding a new connection entry In the "New database" view works for you and
> you can connect this way instead of using command line args?
>
Comment 4 fb.ilmx 2013-05-08 02:08:43 UTC
Hello,
I can connect postgresql with "new database" and I can connect to my old database too with the menus when starting kexi without any argument.
Don't hesitate to ask me other tests...
Have a good day
Comment 5 Jarosław Staniek 2013-09-11 21:20:08 UTC
Confirmed.
Comment 6 Jarosław Staniek 2013-10-16 21:18:44 UTC
Git commit e331a983d12a5b4910a097a068617b3785c18bfa by Jaroslaw Staniek.
Committed on 16/10/2013 at 20:10.
Pushed by staniek into branch 'master'.

Fixed crash when using command line "kexi --dbdriver postgresql" and more

General:
*Fixed crash when using command line "kexi --dbdriver postgresql"
*Clicking "Details" button of the password dialog shows full connection dialog
*Skip the Welcome Wizard if connection data options are set from command line
*Enable editing of user name in the password dialog even if specified by command line

M  +62   -17   kexi/main/startup/KexiStartup.cpp
M  +1    -1    kexi/main/startup/KexiStartup.h

http://commits.kde.org/calligra/e331a983d12a5b4910a097a068617b3785c18bfa
Comment 7 Jarosław Staniek 2013-10-16 22:07:46 UTC
Git commit 3523a01c6c603259693d5b61d75ebc6f65db0e21 by Jaroslaw Staniek.
Committed on 16/10/2013 at 20:10.
Pushed by staniek into branch 'calligra/2.7'.

Fixed crash when using command line "kexi --dbdriver postgresql" and more

General:
*Fixed crash when using command line "kexi --dbdriver postgresql"
*Clicking "Details" button of the password dialog shows full connection dialog
*Skip the Welcome Wizard if connection data options are set from command line
*Enable editing of user name in the password dialog even if specified by command line

M  +62   -17   kexi/main/startup/KexiStartup.cpp
M  +1    -1    kexi/main/startup/KexiStartup.h

http://commits.kde.org/calligra/3523a01c6c603259693d5b61d75ebc6f65db0e21